# Interface IQueryResults

## Index

### Properties

- advancedExpression
- apiVersion
- basicExpression
- categoryFacets
- clientDuration
- constantExpression
- duration
- error
- exception
- executionReport
- facets
- groupByResults
- indexDuration
- phrasesToHighlight
- pipeline
- proxyDuration
- queryCorrections
- rankingExpressions
- refinedKeywords
- results
- searchAPIDuration
- searchUid
- splitTestRun
- termsToHighlight
- totalCount
- totalCountFiltered
- triggers
- userIdentities

## Properties

### Optional advancedExpression

advancedExpression: string

- Defined in rest/QueryResults.ts :49

### Optional apiVersion

apiVersion: number

- Defined in rest/QueryResults.ts :108

### Optional basicExpression

basicExpression: string

- Defined in rest/QueryResults.ts :44

### categoryFacets

categoryFacets: ICategoryFacetResult[]

- Defined in rest/QueryResults.ts :128

### clientDuration

clientDuration: number

- Defined in rest/QueryResults.ts :96

### Optional constantExpression

constantExpression: string

- Defined in rest/QueryResults.ts :54

### duration

duration: number

- Defined in rest/QueryResults.ts :76

### Optional error

error: object

- Defined in rest/QueryResults.ts :19

#### Type declaration

- ##### executionReport: any

- ##### message: string

- ##### type: string

### Optional exception

exception: IQueryException

- Defined in rest/QueryResults.ts :116

### Optional executionReport

executionReport: any

- Defined in rest/QueryResults.ts :39

### Optional facets

facets: IFacetResponse[]

- Defined in rest/QueryResults.ts :154

### groupByResults

groupByResults: IGroupByResult[]

- Defined in rest/QueryResults.ts :124

### indexDuration

indexDuration: number

- Defined in rest/QueryResults.ts :80

### phrasesToHighlight

phrasesToHighlight: object

- Defined in rest/QueryResults.ts :140

#### Type declaration

- ##### [originalTerm: string]: string[]

### Optional pipeline

pipeline: string

- Defined in rest/QueryResults.ts :104

### Optional proxyDuration

proxyDuration: number

- Defined in rest/QueryResults.ts :90

### queryCorrections

queryCorrections: IQueryCorrection[]

- Defined in rest/QueryResults.ts :132

### Optional rankingExpressions

rankingExpressions: IRankingExpression[]

- Defined in rest/QueryResults.ts :64

### Optional refinedKeywords

refinedKeywords: string[]

- Defined in rest/QueryResults.ts :148

### results

results: IQueryResult[]

- Defined in rest/QueryResults.ts :120

### searchAPIDuration

searchAPIDuration: number

- Defined in rest/QueryResults.ts :84

### Optional searchUid

searchUid: string

- Defined in rest/QueryResults.ts :100

### Optional splitTestRun

splitTestRun: string

- Defined in rest/QueryResults.ts :112

### termsToHighlight

termsToHighlight: object

- Defined in rest/QueryResults.ts :136

#### Type declaration

- ##### [originalTerm: string]: string[]

### totalCount

totalCount: number

- Defined in rest/QueryResults.ts :68

### totalCountFiltered

totalCountFiltered: number

- Defined in rest/QueryResults.ts :72

### triggers

triggers: ITrigger<any>[]

- Defined in rest/QueryResults.ts :144

### Optional userIdentities

userIdentities: IUserIdentity[]

- Defined in rest/QueryResults.ts :59

### Hierarchy

- IQueryResults